#
# spec file for package nagios-plugins-snmp (Version 1.0)
#
#

# norootforbuild


Name:           nagios-plugins-iu
Summary:        Nagios plugin collection of Indiana University
Version:        1.0
Release:        4.3
Url:            http://sourceforge.net/projects/nagiosplugins/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	nagiosplugins-%{version}.tar.gz
Source1:	check_bgp_new.pl
Patch0:		nagiosplugins-packagepath.patch

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
The Indiana University Nagios Plugins are a set of addons for the Nagios monitoring system that allow a variety of network services to be monitored.

%prep
%setup -n nagiosplugins
%patch0 -p1

%build

%install
for plugin in `ls -1A check_*` ; do
install -D -m755 ${plugin} %buildroot/%libexecdir/${plugin}
done
install    -m755 %{SOURCE1} %buildroot/%libexecdir/check_bgp_new.pl

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc README
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/*

%changelog
* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- initial release
